import { EMChatroom, EMChatroomManagerListener, EMError, EMMucSetting, EMPageResult, EMStringCursorResult } from "libhyphenate.so";
export class EMChatroomManager {
    //public to Harmony SDK
    addListener: (listener: EMChatroomManagerListener) => void;
    removeListener: (listener: EMChatroomManagerListener) => void;
    joinChatroom: (chatroomId: string, leaveOtherRooms: boolean, ext: string) => Promise<EMChatroom>;
    leaveChatroom: (chatroomId: string) => Promise<void>;
    fetchChatroomsWithPage: (pageNum: number, pageSize: number) => Promise<Array<EMChatroom>>;
    changeChatroomSubject: (chatroomId: string, newSubject: string) => Promise<EMChatroom>;
    changeChatroomDescription: (chatroomId: string, newDescription: string) => Promise<EMChatroom>;
    fetchChatroomAnnouncement: (chatroomId: string) => Promise<string>;
    updateChatroomAnnouncement: (chatroomId: string, newAnnouncement: string) => Promise<EMChatroom>;
    transferChatroomOwner: (chatroomId: string, newOwner: string) => Promise<EMChatroom>;
    addChatroomAdmin: (chatroomId: string, admin: string) => Promise<EMChatroom>;
    removeChatroomAdmin: (chatroomId: string, admin: string) => Promise<EMChatroom>;
    removeChatroomMembers: (chatroomId: string, members: Array<string>) => Promise<EMChatroom>;
    muteChatroomMembers: (chatroomId: string, members: Array<string>, duration: number) => Promise<EMChatroom>;
    unmuteChatroomMembers: (chatroomId: string, members: Array<string>) => Promise<EMChatroom>;
    checkIfInMutelist: (chatroomId: string) => Promise<boolean>;
    blockChatroomMembers: (chatroomId: string, members: Array<string>) => Promise<EMChatroom>;
    unblockChatroomMembers: (chatroomId: string, members: Array<string>) => Promise<EMChatroom>;
    muteAllMembers: (chatroomId: string) => Promise<EMChatroom>;
    unmuteAllMembers: (chatroomId: string) => Promise<EMChatroom>;
    addToChatroomWhitelist: (chatroomId: string, members: Array<string>) => Promise<EMChatroom>;
    removeFromChatroomWhitelist: (chatroomId: string, members: Array<string>) => Promise<EMChatroom>;
    checkIfInWhitelist: (chatroomId: string) => Promise<boolean>;
    fetchChatroomMembers: (chatroomId: string, cursor: string, pageSize: number) => Promise<EMStringCursorResult>;
    fetchChatroomMutes: (chatroomId: string, pageNum: number, pageSize: number) => Promise<Array<object>>;
    fetchChatroomBans: (chatroomId: string, pageNum: number, pageSize: number) => Promise<Array<string>>;
    fetchChatroomWhitelist: (chatroomId: string) => Promise<Array<string>>;
    //legacy, not public to harmony SDK
    clearListeners: () => void;
    chatroomWithId: (chatroomId: string) => void;
    createChatroom: (subject: string, description: string, welcomeMessage: string, setting: EMMucSetting, members: Array<string>, error: EMError) => EMChatroom;
    destroyChatroom: (chatroomId: string, error: EMError) => void;
    changeChatroomExtension: (chatroomId: string, newExtension: string, error: EMError) => EMChatroom;
    fetchChatroomSpecification: (chatroomId: string, error: EMError, fetchMembers: boolean) => EMChatroom;
    fetchChatroomsWithCursor: (cursor: string, pageSize: number, error: EMError) => EMPageResult;
    fetchAllChatrooms: (error: EMError) => Array<EMChatroom>;
    joinedChatroomById: (chatroomId: string) => EMChatroom;
    // chatroom attributes
    fetchChatroomAttributes: (chatroomId: string, key: Array<string>) => Promise<string>;
    setChatroomAttributes: (chatroomId: string, attributeJson: string, isForced: boolean) => Promise<string>;
    removeChatroomAttributes: (chatroomId: string, key: Array<string>, isForced: boolean) => Promise<string>;
}
