import { EMChatroom } from "libhyphenate.so";
export class EMChatroomManagerListener {
    onLeaveChatroom: (chatroom: EMChatroom, reason: number, participant: string) => void;
    onMemberJoinedChatroom: (chatroom: EMChatroom, member: string, ext: string) => void;
    onMemberLeftChatroom: (chatroom: EMChatroom, member: string) => void;
    onAddMutesFromChatroom: (chatroom: EMChatroom, members: Array<string>, expireTime: number) => void;
    onAddMuteMapFromChatroom: (chatroom: EMChatroom, mutes: Array<object>) => void;
    onRemoveMutesFromChatroom: (chatroom: EMChatroom, mutes: Array<string>) => void;
    onAddAdminFromChatroom: (chatroom: EMChatroom, admin: string) => void;
    onRemoveAdminFromChatroom: (chatroom: EMChatroom, admin: string) => void;
    onAssignOwnerFromChatroom: (chatroom: EMChatroom, newOwner: string, oldOwner: string) => void;
    onUpdateAnnouncementFromChatroom: (chatroom: EMChatroom, announcement: string) => void;
    onWhitelistAdded: (chatroom: EMChatroom, whitelist: Array<string>) => void;
    onWhitelistRemoved: (chatroom: EMChatroom, whitelist: Array<string>) => void;
    onAllMemberMuteStateChanged: (chatroom: EMChatroom, isMute: boolean) => void;
    onSpecificationChanged: (chatroom: EMChatroom) => void;
    // chatroom attributes
    onAttributesUpdate: (roomId: string, attributes: string, from: string) => void;
    onAttributesRemoved: (roomId: string, keys: string, from: string) => void;
}
