import { EMChatConfigs, EMError, EMChatManager, EMContactManager, EMGroupManager, EMChatroomManager, EMPushManager, EMLoginInfo, EMConnectionListener, EMMultiDevicesListener, EMDeviceInfo, EMSendPingListener, EMUserInfoManager, EMPresenceManager } from "libhyphenate.so";
export class EMClient {
    constructor(j12: EMChatConfigs, k12: boolean);
    login: (userId: string, password: string) => Promise<void>;
    loginWithToken: (userId: string, token: string) => Promise<void>;
    autoLogin: (userId: string, code: string, loginWithToken: boolean) => Promise<void>;
    logout: () => Promise<void>;
    getLoginInfo: () => EMLoginInfo;
    isLoggedIn: () => boolean;
    changeAppkey: (appKey: string) => EMError;
    changeAppId: (appId: string) => EMError;
    addConnectionListener: (listener: EMConnectionListener) => void;
    removeConnectionListener: (listener: EMConnectionListener) => void;
    setSendPingListener: (listener: EMSendPingListener) => void;
    createAccount: (userId: string, password: string) => Promise<void>;
    getChatConfigs: () => EMChatConfigs;
    getChatManager: () => EMChatManager;
    getContactManager: () => EMContactManager;
    getGroupManager: () => EMGroupManager;
    getChatroomManager: () => EMChatroomManager;
    getPushManager: () => EMPushManager;
    getUserInfoManager: () => EMUserInfoManager;
    getPresenceManager: () => EMPresenceManager;
    addMultiDevicesListener: (listener: EMMultiDevicesListener) => void;
    removeMultiDevicesListener: (listener: EMMultiDevicesListener) => void;
    clearAllMultiDevicesListeners: () => void;
    getLoggedInDevicesFromServer: (userId: string, password: string) => Promise<Array<EMDeviceInfo>>;
    kickDevice: (userId: string, password: string, resource: string) => Promise<void>;
    kickAllDevices: (userId: string, password: string) => Promise<void>;
    onNetworkChanged: (newNetworkType: number, foreReconnect: boolean) => void;
    reconnect: () => void;
    disconnect: () => void;
    getTokenExpiredTs: (token: string) => Promise<number>;
    renewToken: (token: string) => void;
    isNewLoginOnDevice: () => boolean;
}
