import { EMContactListener, EMCursorResult, EMContact } from "libhyphenate.so";
export class EMContactManager {
    registerContactListener: (listener: EMContactListener) => void;
    removeContactListener: (listener: EMContactListener) => void;
    allContacts: () => Promise<Array<string>>;
    getContactsFromServer: () => Promise<Array<string>>;
    inviteContact: (userId: string, reason: string) => Promise<void>;
    deleteContact: (userId: string, keepConversation: boolean) => Promise<void>;
    acceptInvitation: (userId: string) => Promise<void>;
    declineInvitation: (userId: string) => Promise<void>;
    blacklist: () => Promise<Array<string>>;
    getBlackListFromServer: () => Promise<Array<string>>;
    saveBlackList: (list: Array<string> | string) => Promise<void>;
    removeFromBlackList: (userId: string) => Promise<void>;
    getSelfIdsOnOtherPlatform: () => Promise<Array<string>>;
    setContactRemark: (userId: string, remark: string) => Promise<void>;
    fetchAllContactsFromLocal: () => Promise<Array<EMContact>>;
    fetchAllContactsFromServer: () => Promise<Array<EMContact>>;
    fetchAllContactsFromServerByPage: (limit: number, cursor: string) => Promise<EMCursorResult<EMContact>>;
}
