import { EMMessage } from "libhyphenate.so";
export class EMConversation {
    conversationId: () => string;
    conversationType: () => number;
    removeMessage: (message: EMMessage | string) => boolean;
    insertMessage: (message: EMMessage) => boolean;
    appendMessage: (message: EMMessage) => boolean;
    updateMessage: (message: EMMessage) => boolean;
    clearAllMessages: () => void;
    markMessageAsRead: (msgId: string, isRead: boolean) => boolean;
    markAllMessagesAsRead: (isRead: boolean) => boolean;
    unreadMessagesCount: () => number;
    messagesCount: () => number;
    loadMessage: (msgId: string) => EMMessage;
    latestMessage: () => EMMessage;
    latestMessageFromOthers: () => EMMessage;
    /**
     * Load more message from db.
     * When loadMoreMessageType is :
     * LOAD_BY_MESSAGE_ID = 0: other params => refMsgId: string, count: number, direction: number;
     * LOAD_AFTER_TIME = 1:    other params => timeStamp: number, count: number, direction: number;
     * LOAD_BY_TYPE = 2:       other params => type(message type): number, timeStamp: number, count: number, from: string, direction: number;
     * LOAD_BY_KEY_WORDS = 3:  other params => keywords: string, timeStamp: number, count: number, from: string, direction: number;
     * LOAD_BETWEEN_TIME = 4:  other params => startTimeStamp: number, endTimeStamp: number, maxCount: number;
     * LOAD_BY_TYPES = 5:      other params => types(message type array): number, timeStamp: number, count: number, from: string, direction: number;
     */
    loadMoreMessages: (loadMoreMessageType: number, ...params: any[]) => Promise<Array<EMMessage>>;
    extField: () => string;
    setExtField: (ext: string) => void;
    lastSyncedMsgId: () => string;
    isPinned: () => boolean;
    getPinnedTime: () => number;
    marks: () => number;
    pushRemindType: () => number;
    getMessageCountInRange: (startTimestamp: number, endTimestamp: number) => number;
    pinnedMessages: () => Promise<Array<EMMessage>>;
}
