import { EMGroup, EMMucSharedFile } from "libhyphenate.so";
export class EMGroupManagerListener {
    onReceiveInviteFromGroup: (groupId: string, groupName: string, inviter: string, inviteMessage: string) => void;
    onReceiveInviteAcceptionFromGroup: (groupId: string, invitee: string) => void;
    onReceiveInviteDeclineFromGroup: (groupId: string, invitee: string, reason: string) => void;
    onAutoAcceptInvitationFromGroup: (groupId: string, inviter: string, inviteMessage: string) => void;
    onLeaveGroup: (group: EMGroup, reason: number) => void;
    onReceiveJoinGroupApplication: (group: EMGroup, from: string, message: string) => void;
    onReceiveAcceptionFromGroup: (group: EMGroup) => void;
    onReceiveRejectionFromGroup: (groupId: string, reason: string, decliner: string, applicant: string) => void;
    onUpdateMyGroupList: (groupList: Array<string>) => void;
    onAddMutesFromGroup: (groupId: string, mutes: Array<string>, muteExpire: number) => void;
    onRemoveMutesFromGroup: (groupId: string, mutes: Array<string>) => void;
    onAddAdminFromGroup: (groupId: string, admin: string) => void;
    onRemoveAdminFromGroup: (groupId: string, admin: string) => void;
    onAssignOwnerFromGroup: (groupId: string, newOwner: string, oldOwner: string) => void;
    onMemberJoinedGroup: (groupId: string, member: string) => void;
    onMemberLeftGroup: (groupId: string, member: string) => void;
    onUpdateAnnouncementFromGroup: (groupId: string, announcement: string) => void;
    onUploadSharedFileFromGroup: (groupId: string, sharedFile: EMMucSharedFile) => void;
    onDeleteSharedFileFromGroup: (groupId: string, fileId: string) => void;
    onWhiteListAdded: (groupId: string, whitelist: Array<string>) => void;
    onWhiteListRemoved: (groupId: string, whitelist: Array<string>) => void;
    onAllMemberMuteStateChanged: (groupId: string, isMuted: boolean) => void;
    onSpecificationChanged: (group: EMGroup) => void;
    onStateChanged: (group: EMGroup, isDisabled: boolean) => void;
    onGroupMemberAttributeChanged: (groupId: string, member: string, attributes: Array<object>, from: string) => void;
}
