import { EMSilentModeItem, EMSilentModeParam } from "libhyphenate.so";
export class EMPushManager {
    //public to Harmony SDK
    bindPushToken: (pushToken: string, certName: string) => Promise<string>;
    unbindPushToken: (certName: string) => Promise<void>;
    updatePushNickname: (nickname: string) => Promise<void>;
    updatePushDisplayStyle: (style: number) => Promise<void>;
    setSilentModeForConversation: (conversationId: string, type: number, param: EMSilentModeParam) => Promise<EMSilentModeItem>;
    clearRemindTypeForConversation: (conversationId: string, type: number) => Promise<void>;
    getSilentModeForConversation: (conversationId: string, type: number) => Promise<EMSilentModeItem>;
    getSilentModeForConversations: (conversationMap: Map<string, string>) => Promise<Array<object>>;
    syncConversationsSilentModeWithServer: () => Promise<void>;
    setSilentModeForAll: (param: EMSilentModeParam) => Promise<EMSilentModeItem>;
    getSilentModeForAll: () => Promise<EMSilentModeItem>;
    setPushPerformLanguage: (languageCode: string) => Promise<void>;
    getPushPerformLanguage: () => Promise<string>;
    setPushTemplate: (templateName: string) => Promise<void>;
    getPushTemplate: () => Promise<string>;
}
