export const hello: () => string;
export const createEMClient: (chatConfig: EMChatConfigs) => EMClient;
export const createSendMessage: (from: string, to: string, body: EMMessageBody, chatType: number) => EMMessage;
export const createReceiveMessage: (from: string, to: string, body: EMMessageBody, chatType: number, msgId: string) => EMMessage;
// manager
import { EMClient } from './EMClient';
import { EMChatManager } from './EMChatManager';
import { EMContactManager } from './EMContactManager';
import { EMGroupManager } from './EMGroupManager';
import { EMChatroomManager } from './EMChatroomManager';
import { EMPushManager } from './EMPushManager';
import { EMUserInfoManager } from './EMUserInfoManager';
import { EMPresenceManager } from './EMPresenceManager';
// entities
import { EMConversation } from './EMConversation';
import { EMChatroom } from './EMChatroom';
import { EMGroup } from './EMGroup';
import { EMContact } from './EMContact';
import { EMLoginInfo } from './EMLoginInfo';
import { EMMucSharedFile } from './EMMucSharedFile';
import { EMDeviceInfo } from './EMDeviceInfo';
import { EMGroupReadAck } from './EMGroupReadAck';
import { EMPresence } from './EMPresence';
import { EMSilentModeTime } from './EMSilentModeTime';
import { EMSilentModeParam } from './EMSilentModeParam';
import { EMSilentModeItem } from './EMSilentModeItem';
// configs
import { EMChatConfigs } from './EMChatConfigs';
import { EMChatPrivateConfigs } from './EMChatPrivateConfigs';
import { EMMucSetting } from './EMMucSetting';
import { EMFetchMessageOption } from './EMFetchMessageOption';
import { EMConversationFilter } from './EMConversationFilter';
// callback
import { EMError } from './EMError';
import { EMCallback, EMCallbackObserverHandle } from './EMCallback';
import { EMCursorResult, EMStringCursorResult, EMPageResult } from './EMCursorResult';
// listeners
import { EMConnectionListener } from './EMConnectionListener';
import { EMChatManagerListener } from './EMChatManagerListener';
import { EMChatroomManagerListener } from './EMChatroomManagerListener';
import { EMContactListener } from './EMContactListener';
import { EMGroupManagerListener } from './EMGroupManagerListener';
import { EMMultiDevicesListener } from './EMMultiDevicesListener';
import { EMSendPingListener } from './EMSendPingListener';
import { EMPresenceManagerListener } from './EMPresenceManagerListener';
// utils
import { EMLog } from './EMLog';
import { EMPathUtil } from './EMPathUtil';
// message
import { EMMessage } from './message/EMMessage';
import { EMMessageBody } from './message/EMMessageBody';
import { EMTextMessageBody } from './message/EMTextMessageBody';
import { EMCmdMessageBody } from './message/EMCmdMessageBody';
import { EMFileMessageBody } from './message/EMFileMessageBody';
import { EMImageMessageBody, EMImageSize } from './message/EMImageMessageBody';
import { EMLocationMessageBody } from './message/EMLocationMessageBody';
import { EMVideoMessageBody, EMVideoSize } from './message/EMVideoMessageBody';
import { EMVoiceMessageBody } from './message/EMVoiceMessageBody';
import { EMCustomMessageBody } from './message/EMCustomMessageBody';
import { EMCombineMessageBody } from './message/EMCombineMessageBody';
import { EMMessageReaction } from './message/EMMessageReaction';
import { EMMessageReactionOperation } from './message/EMMessageReactionOperation';
import { EMMessageReactionChange } from './message/EMMessageReactionChange';
import { EMMessagePinInfo } from './message/EMMessagePinInfo';
export { EMClient, EMChatManager, EMContactManager, EMGroupManager, EMChatroomManager, EMPushManager, EMUserInfoManager, EMPresenceManager };
export { EMConversation, EMChatroom, EMGroup, EMLoginInfo, EMMucSharedFile, EMDeviceInfo, EMGroupReadAck, EMContact, EMPresence, EMSilentModeTime, EMSilentModeParam, EMSilentModeItem };
export { EMChatConfigs, EMChatPrivateConfigs, EMMucSetting, EMFetchMessageOption, EMConversationFilter };
export { EMError, EMCallback, EMCallbackObserverHandle, EMCursorResult, EMStringCursorResult, EMPageResult };
export { EMConnectionListener, EMChatManagerListener, EMChatroomManagerListener, EMContactListener, EMGroupManagerListener, EMMultiDevicesListener, EMSendPingListener, EMPresenceManagerListener };
export { EMLog, EMPathUtil };
export { EMMessage, EMMessageBody, EMTextMessageBody, EMCmdMessageBody, EMFileMessageBody, EMImageMessageBody, EMImageSize, EMLocationMessageBody, EMVideoMessageBody, EMVideoSize, EMVoiceMessageBody, EMCustomMessageBody, EMCombineMessageBody, EMMessageReaction, EMMessageReactionOperation, EMMessageReactionChange, EMMessagePinInfo };
